Bug 373951 - sendmail not allowed to deliver mail to cyrus-imapd
sendmail not allowed to deliver mail to cyrus-imapd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 17:27 EST by Alexander Larsson
Modified: 2008-01-30 14:06 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:06:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
policy module to fix the denials (167 bytes, text/plain)
2007-11-10 21:30 EST, Kostas Georgiou
no flags Details

  None (edit)
Description Alexander Larsson 2007-11-09 17:27:33 EST
I enabled lmtp delivery from sendmail to cyrus-imapd (uncomment the cyrusv2
stuff in /etc/mail/sendmail.mc). This causes selinux errors each time sendmail
tries to deliver a message by connecting to the /var/lib/imap/socket/lmtp socket.

raw message:

avc: denied { write } for comm=sendmail dev=dm-0 egid=51 euid=0
exe=/usr/sbin/sendmail.sendmail exit=0 fsgid=51 fsuid=0 gid=0 items=0 name=lmtp
pid=24547 scontext=unconfined_u:system_r:sendmail_t:s0 sgid=51
subj=unconfined_u:system_r:sendmail_t:s0 suid=0 tclass=sock_file
tcontext=unconfined_u:object_r:cyrus_var_lib_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-11-10 07:38:27 EST
Fixed in selinux-policy-3.0.8-51.fc8
Comment 2 Alexander Larsson 2007-11-10 10:09:34 EST
BTW: The same happens with postfix.
Comment 3 Kostas Georgiou 2007-11-10 21:30:28 EST
Created attachment 254201 [details]
policy module to fix the denials
Comment 4 Daniel Walsh 2008-01-30 14:06:46 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.